- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.InstanceSettings.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceSettings/get#try-it)

instanceSettings.get Instance settings.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/instanceSettings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` Name of the zone for this request. |

### Request body

The request body must be empty.

### Response body

Represents a Instance Settings resource. You can use instance settings to configure default settings for Compute Engine VM instances. For example, you can use it to configure default machine type of Compute Engine VM instances.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "fingerprint": string, "metadata": { "kind": string, "items": { string: string, ... } }, "zone": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#instance_settings` for instance settings. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Specifies a fingerprint for instance settings, which is essentially a hash of the instance settings resource's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance settings resource. You must always provide an up-to-date fingerprint hash in order to update or change the resource, otherwise the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the resource. A base64-encoded string. |
| `metadata` | `object` The metadata key/value pairs assigned to all the instances in the corresponding scope. |
| `metadata.kind` | `string` Output only. Type of the resource. Always `compute#metadata` for metadata. |
| `metadata.items` | `map (key: string, value: string)` A metadata key/value items map. The total size of all keys and values must be less than 512KB. |
| `zone` | `string` Output only. URL of the zone where the resource resides You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.instanceSettings.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).